List a user's recommendations
List a user's recommendations. This operation is part of the draft contract; confirm deployment availability before sending requests.
Path Parameters
- Type:user
Id required
Query Parameters
- Type: enumcategoryvalues
- nutrition
- physical
_activity - sleep
- stress
_and _mental _wellbeing - supplementation
- lab
_testing - medical
_follow _up - lifestyle
_and _environment
- Type: enumstatusvaluesactiveaccepteddismissedcompletedexpiredsuperseded
- Type: enumpriority
- Type: integerlimitmin:1max:200
Integer numbers.
- Type: stringcursor
Responses
- application/json
Request Example for get/users/{userId} /recommendations
curl 'https://api.eno.health/users/usr_01JA2Y7Q3K8V5T0N4R6M2P9XWE/recommendations?limit=50' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"nextCursor": null,
"hasMore": true,
"data": [
{
"id": "rcm_01JA...",
"userId": "usr_01JA2Y7Q3K8V5T0N4R6M2P9XWE",
"category": "nutrition",
"title": "Add a 10-minute walk after dinner",
"body": "string",
"rationale": "string",
"priority": "high",
"status": "active",
"source": {
"type": "system",
"practitionerId": null,
"interviewId": null
},
"evidence": [
{
"metric": "string",
"observationId": "string"
}
],
"details": {
"additionalProperty": "anything"
},
"goalIds": [
"string"
],
"validFrom": "2026-11-16T17:41:54.488Z",
"validUntil": null,
"createdAt": "2026-11-16T17:41:54.488Z",
"updatedAt": "2026-11-16T17:41:54.488Z"
}
]
}